;~ #AutoIt3Wrapper_Run_Debug_Mode=Y
#Tidy_Parameters=/sort_funcs /reel
#include-once
#include <Math.au3>
#include "QuickPdf.au3"

_QPDF_NewLibraryPath_Commercial(@ScriptDir & '\DebenuPDFLibraryCPAX1211.dll')

; SET YOUR LICENSE KEY in your main script using _QPDF_SetLicenseKey()
; If you not set $__sLicenseKey_QPDF then DebenuPDFLibraryLite1114.dll will be used (Lite version).
_QPDF_SetLicenseKey('ENTER YOUR KEY HERE')

; I (mLipok) use MyLicenseKey.txt file to prevent accidentally placed my license key in a public forum.
If FileExists(@ScriptDir & '\MyLicenseKey.txt') Then _QPDF_SetLicenseKey(FileRead(@ScriptDir & '\MyLicenseKey.txt'))

#Region TESTING

_QPDF_Arrow_Example()

Func _QPDF_Arrow_Example()
	Local $oQP
	If _QPDF_CreateObjectAndUnlock($oQP) = 1 Then
		$oQP.SetLineColor(1,0,0)
		_QPDF_Arrow($oQP, 10, 10, 100, 80, 5, 8, 0.5, 0.7)
		$oQP.SetLineColor(0,1,0)
		_QPDF_Arrow($oQP, 10, 20, 100, 90, 10, 8, 0.5, 1)
		$oQP.SetLineColor(0,0,1)
		_QPDF_Arrow($oQP, 10, 100, 100, 100, 10, 145, 1, 2)
		_QPDF_Display($oQP)
	EndIf
EndFunc   ;==>_QPDF_Arrow_Example
#EndRegion TESTING

