#Tidy_Parameters=/sort_funcs /reel
;~ #AutoIt3Wrapper_Run_Debug_Mode=Y

#Region Include
#Tidy_Parameters=/reel
#include-once
#include "QuickPDF.au3"
#EndRegion Include

_QPDF_NewLibraryPath_Commercial(@ScriptDir & '\DebenuPDFLibraryCPAX1211.dll')
_QPDF_UseErrorHandler()

; SET YOUR LICENSE KEY in your main script using _QPDF_SetLicenseKey()
; If you not set $__sLicenseKey_QPDF then DebenuPDFLibraryLite1114.dll will be used (Lite version).
_QPDF_SetLicenseKey('ENTER YOUR KEY HERE')

; or just copy "c:\Program Files (x86)\Debenu\PDF Library\TRIAL_LICENSE_KEY.TXT" to @ScriptDir & '\TRIAL_LICENSE_KEY.TXT'
If FileExists(@ScriptDir & '\TRIAL_LICENSE_KEY.TXT') Then _QPDF_SetLicenseKey(FileRead(@ScriptDir & '\TRIAL_LICENSE_KEY.TXT'))

; I (mLipok) use MyLicenseKey.txt file to prevent accidentally placed my license key in a public forum.
If FileExists(@ScriptDir & '\MyLicenseKey.txt') Then _QPDF_SetLicenseKey(FileRead(@ScriptDir & '\MyLicenseKey.txt'))

_QPDF_Example_Make10Page_PDF_With_EnumeratedPage()


Func _QPDF_Example_Make10Page_PDF_With_EnumeratedPage()
	Local $sFileName = @ScriptDir & "\Example_10page.pdf"
	Local $oQP
	If _QPDF_CreateObjectAndUnlock($oQP) = 1 Then

		$oQP.SetOrigin($__eQPDF_SORIGIN_TopLeft);
		$oQP.SetMeasurementUnits($__eQPDF_MUNITS_Milimeters)

		For $i = 2 To 10
			$oQP.NewPage()
		Next

		_QPDF_PageEnumerator($oQP, 'Page -  %d of %d')

		; Save PDF to file
		$oQP.SaveToFile($sFileName)
		While _WinAPI_FileInUse($sFileName)
			Sleep(10)
		WEnd

		; Open PDF
		ShellExecuteWait($sFileName)
	EndIf
	$oQP = 0 ; CleanUp - destroy object
EndFunc   ;==>_QPDF_Example_Make10Page_PDF_With_EnumeratedPage
